import xhiveframework


def execute():
	doctype = "Integration Request"

	if not xhiveframework.db.has_column(doctype, "integration_type"):
		return

	xhiveframework.db.set_value(
		doctype,
		{"integration_type": "Remote", "integration_request_service": ("!=", "PayPal")},
		"is_remote_request",
		1,
	)
	xhiveframework.db.set_value(
		doctype,
		{"integration_type": "Subscription Notification"},
		"request_description",
		"Subscription Notification",
	)
